<?php

namespace GivePaytm\Paytm\Repositories;

class Settings {
	/**
	 * Get payment method label.
	 *
	 * @since 1.1.1
	 * @return string
	 */
	public function getPaymentMethodLabel(): string {
		$checkoutLabel = give_get_option( 'paytm_checkout_label', '' );

		return ( empty( $checkoutLabel )
			? esc_html__( 'Paytm', 'give-paytm' )
			: $checkoutLabel
		);
	}
}
